package hdl

import (
	"applet/app/e"
	"applet/app/lib/validate"
	"applet/app/md"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// FinancialDynamicsAgentTotal
// @Summary    	 代理预付-统计
// @Tags         资产动态------嘉俊
// @Description  资产动态-代理预付-统计
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.FinancialDynamicsAgentTotalReq   true   "请求参数"
// @Success      200   {object}	  md.FinancialDynamicsAgentTotalRes     "具体看返回内容 这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/financialDynamics/agent/total [POST]
func FinancialDynamicsAgentTotal(c *gin.Context) {
	var req md.FinancialDynamicsAgentTotalReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	res := svc.FinancialDynamicsAgentTotal(c, req)
	e.OutSuc(c, res, nil)
	return
}

// FinancialDynamicsAgentList
// @Summary    	 代理预付
// @Tags         资产动态------嘉俊
// @Description  资产动态-代理预付
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Accept       json
// @Produce      json
// @Param        args 	body      md.FinancialDynamicsAgentListReq   true   "请求参数"
// @Success      200   {object}	  md.FinancialDynamicsAgentListRes     "具体看返回内容 这是data里面的数据"
// @Failure      400   {object}   md.Response              "具体错误"
// @Router       /api/financialDynamics/agent/list [POST]
func FinancialDynamicsAgentList(c *gin.Context) {
	var req md.FinancialDynamicsAgentListReq
	err := c.ShouldBindJSON(&req)
	if err != nil {
		err = validate.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}
	res := svc.FinancialDynamicsAgentList(c, req)
	e.OutSuc(c, res, nil)
	return
}
